
-- MULTI-USER CHAT (XEP-0045)
-- only owner room configuration

-- library

local iq     = require 'lm.iq'
local x_data = require 'lm.x_data'

--

local F = { }

function F.owner_config ( conn, to, success, fail )
	iq.send ( conn, to, 'get',
		{
			query = { xmlns = 'http://jabber.org/protocol/muc#owner' },
		},
		function ( mess )
			local x = mess:path ( 'query', 'x' )
			if x then
				success ( x_data.parse ( x ),
					function ( form, success, fail )
						iq.send ( conn, to, 'set',
							{
								query = form:format ( { xmlns = 'http://jabber.org/protocol/muc#owner' }, 'submit' ),
							}, success, fail )
					end,
					function ( form, success, fail )
						iq.send ( conn, to, 'set',
							{
								query = form:format ( { xmlns = 'http://jabber.org/protocol/muc#owner' }, 'cancel' ),
							}, success, fail )
					end )
			end
		end, fail )
end

return F

-- vim: se ts=4: --
